@file:OptIn(ExperimentalNativeApi::class, ExperimentalForeignApi::class)

package com.example.testdemo

import kotlinx.cinterop.ExperimentalForeignApi
import kotlin.experimental.ExperimentalNativeApi

// 既然去掉了 Compose，我们先通过 NAPI 返回一个简单的标识，证明 Kotlin 代码已成功运行
@CName("getKotlinGreeting")
fun getKotlinGreeting(): String {
    return Greeting().greet() + " (HarmonyOS Native)"
}
